Cannot install assistant created on Snips console

raspberry

#1

Hi,

I got a Snips Developers Kit from Seeed.
Everything was working fine.
Then I decided to install a new assistant created from the Snips console with sam.
I am getting this error messages all the time:

~  sam install assistant -i proj_<project_id>

Downloading assistant

NLU training done

ASR training done

✔ Deploying assistant to snips-base...

Checking for actions

Cloning skill seeed.Relay&amp;Temperature&amp;Humidity from url: https://github.com/respeaker/snips-app-voicekit

Already up-to-date.

Running setup.sh &amp; generating virtual environment for SirBuildsALot7.Greetings

✖ Error setting up virtualenv, one or more actions might not be able to run. Reason :

DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7.

Running setup.sh &amp; generating virtual environment for snips-app-relay-switch

✖ Error setting up virtualenv, one or more actions might not be able to run. Reason :

You are using pip version 18.1, however version 19.0.1 is available.

You should consider upgrading via the 'pip install --upgrade pip' command.

Running setup.sh &amp; generating virtual environment for snips-app-sht31

✖ Error setting up virtualenv, one or more actions might not be able to run. Reason :

You are using pip version 18.1, however version 19.0.1 is available.

You should consider upgrading via the 'pip install --upgrade pip' command.

Running setup.sh &amp; generating virtual environment for snips-app-voicekit

^C

 ~  pip --version

pip 19.0.1 from /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip (python 2.7)

 ~  python --version

Python 2.7.10

I do not really get what is going on here… does anyone have an idea? Thx.


#2

Is a warning that the developers should update to a more recent python version.
The assistant should work fine.


#3

Thanks for the quick answer.

The think is, it doesn’t. It does recognize the intents but then there is no response.

I imagine that those python errors lead to some problems with the actions.
(:heavy_multiplication_x: Error setting up virtualenv, one or more actions might not be able to run.)


#4

I guess there is something wrong with the snips-sam package and it is installing wrong dependencies…

I wanted to try installing the assistant manually without it, but I cannot access the page with the documentation:
https://docs.snips.ai/~/drafts/-LVxHJChXnLl7pFGwlWc/primary/guides/raspberrypi/manual-setup#installing-your-assistant

“The access to this page is restricted. Sign in to an account with required permissions.”

I got the link from here: https://docs.snips.ai/getting-started/quick-start-raspberry-pi

What is this?
I am pretty disappointed right now…


#5

This is a bug that will be fixed. To install your assistant manually:

  • Download the archive from the console
  • Upload it to your raspberry
  • Unzip it
  • sudo rm -r /usr/share/snips/assistant
  • sudo mv /home/pi/assistant /usr/share/snips/assistant

#6

Yes I could install it manually at the end. Thanks for the response.

So I guess that snips-sam is kind of broken…